%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           PyRTF
Version:        0.45
Release:        1%{?dist}
Summary:        Rich Text Format (RTF) Document Generation in Python

Group:          Development/Languages
License:        LGPL
URL:            http://pyrtf.sourceforge.net/
Source0:        http://dl.sf.net/pyrtf/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python
BuildRequires:  sed >= 3.95
Requires:   python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")

%description
PyRTF is a pure python module for the efficient generation of rich text form
documents.  It has good support for tables and tries to maintain compatibility
with as many RTF reader as possible.


%prep
%setup -q
%{__sed} -i 's?\r??' PyRTF/Styles.py
%{__sed} -i 's?\r??' PyRTF/PropertySets.py
%{__sed} -i 's?\r??' PyRTF/__init__.py

%build
%{__python} setup.py build


%install
rm -rf %buildroot
%{__python} setup.py install -O1 --skip-build --root %buildroot

 
%clean
rm -rf %buildroot


%files
%defattr(-,root,root,-)
%doc PKG-INFO
%dir %{python_sitelib}/PyRTF
%{python_sitelib}/PyRTF/*.py
%{python_sitelib}/PyRTF/*.pyc
%ghost %{python_sitelib}/PyRTF/*.pyo

%changelog
* Mon Jun 13 2005 Michael A. Peters <mpeters@mac.com> - 0.45-1
- uploaded package to cvs
